Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container
Interface PortletApplication

All Known Implementing Classes:
  PortletApplicationImpl

    public interface PortletApplication

A portlet application.

Version:
  $Revision: 6733 $
Author:
  Julien Viet

Method Summary
`void` | `addContainer(PortletContainer container)`
`PortletApplicationContext` | `getContext()` Return the porlet application context.
`java.lang.String` | `getId()` Return the web app id.
`PortletContainer` | `getPortletContainer(java.lang.String id)` Return a specific component.
`java.util.Set` | `getPortletContainers()` Return the set of components part of this web application.
`void` | `removeContainer(PortletContainer container)`
`void` | `start()` Starts the application only.
`void` | `stop()` Stops the application only.

Method Detail

### getId

    java.lang.String getId()

  Return the web app id.

### getPortletContainers

    java.util.Set getPortletContainers()

  Return the set of components part of this web application.

### getPortletContainer

    PortletContainer getPortletContainer(java.lang.String id)

  Return a specific component.

### getContext

    PortletApplicationContext getContext()

  Return the porlet application context.

### addContainer

    void addContainer(PortletContainer container)

### removeContainer

    void removeContainer(PortletContainer container)

### start

    void start()
               throws java.lang.Exception

  Starts the application only. It does not take care of starting its components.

  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    void stop()

  Stops the application only. It does not take care of stopping its components.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD